Subject: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Apr 2021 11:43:10 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 01 Apr 2021 08:18:08 +0000
> 
> > Ouch!  That's a general issue, then, not just when there are multiple
> > copies of *.eln for the same .el file, right?  IOW, if Emacs is
> > installed such that the *.el files are not available, it will not load
> > the *.eln files, only the *.elc files.  I think we should at least
> > produce a run-time warning about that.
> 
> Correct, okay the warning should not be a problem (taking note into my
> todo).
> 
> Do we really have installations with no source code?

Good question.  I don't know the answer, but I guess we will learn,
when the warning is implemented.

> > But even if the file is preloaded, the fact that it is in the same
> > hashed subdirectory of native-lisp/ means it can be used with any
> > binary whose ABI is compatible.  Right?  Or are you saying that the
> > source-content hash of the .eln file is recorded in the .pdmp file?
> 
> When the file was preloaded when reviving from dump it is looked-up
> using its filename, as you suggests includes the `comp-abi-hash' in it.

Right, noted.